package com.gyee.runeconomy.service.auto.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.runeconomy.model.ProEconAlarmPlan;
import com.gyee.runeconomy.mapper.ProEconAlarmPlanMapper;
import com.gyee.runeconomy.service.auto.ProEconAlarmPlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2024-11-27
 */
@Service
public class ProEconAlarmPlanServiceImpl extends ServiceImpl<ProEconAlarmPlanMapper, ProEconAlarmPlan> implements ProEconAlarmPlanService {

    @Override
    public List<ProEconAlarmPlan> selectAlarmPlanByProId(String proId) {
        QueryWrapper<ProEconAlarmPlan> qw = new QueryWrapper<>();
        qw.lambda().eq(ProEconAlarmPlan::getId,proId);
        java.util.List<ProEconAlarmPlan> proEconAlarmPlans = baseMapper.selectList(qw);
        return proEconAlarmPlans;
    }
}
